Dim Part As ModelDoc2 Dim myPart As PartDoc Dim myCutlist As BodyFolder Dim myFeature As Feature
Set swapp = Application.SldWorks Set Part = swapp. ActiveDoc If part is nothing then exit sub If Part.GetType <> 1 Then Exit Sub
Set myPart = Part Set selMgr = Part.SelectionManager If myPart.IsWeldment = false then exit sub Set myFeature = myPart.FeatureByName("Solid Bodies") Set myCutlist = myFeature.GetSpecificFeature2 myCutlist.UpdateCutList
No, even with the French name, it doesn't work. So I did a macro search of the CutList folder with your first link.
Now it's working at the top, thank you
____________________________________
Sub maj() While Not swFeat Is Nothing If swFeat.GetTypeName2 = "SolidBodyFolder" Then Dim swBodyFolder As SldWorks.BodyFolder Set swBodyFolder = swFeat.GetSpecificFeature2 swBodyFolder.UpdateCutList End If Set swFeat = swFeat.GetNextFeature Wend End Sub